package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ExcelNote;
import com.alibaba.excel.annotation.ExcelProperty;
import ${basePackage}.frame.excel.annotation.ExcelSheet;
import ${basePackage}.frame.base.BaseEntity;

/**
 * ROLE - 角色
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@ExcelSheet("角色")
public class Role extends BaseEntity {

    /**
     * CODE - 角色代码
     */
    @ExcelProperty("角色代码")
    @ExcelNote("")
    private String code;
    /**
     * NAME - 角色名称
     */
    @ExcelProperty("角色名称")
    @ExcelNote("")
    private String name;
    /**
     * COMMENT - 角色描述
     */
    @ExcelProperty("角色描述")
    @ExcelNote("")
    private String comment;

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}